## ros-kinetic-dynamixel-controllers 0.4.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(dynamixel_controllers)

find_package(catkin REQUIRED COMPONENTS message_generation)

add_service_files(
  FILES
  RestartController.srv
  SetComplianceMargin.srv
  SetCompliancePunch.srv
  SetComplianceSlope.srv
  SetSpeed.srv
  SetTorqueLimit.srv
  StartController.srv
  StopController.srv
  TorqueEnable.srv
)

catkin_python_setup()

generate_messages()

catkin_package(
  CATKIN_DEPENDS
  rospy
  actionlib
  dynamixel_driver
  std_msgs
  trajectory_msgs
  diagnostic_msgs
  dynamixel_msgs
  control_msgs
)

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(PROGRAMS
  nodes/controller_manager.py
  nodes/controller_spawner.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-dynamixel-controllers (0.4.1-0xenial) xenial; urgency=high

  * bug fixes for issue #33 <https://github.com/arebgun/dynamixel_motor/issues/33> and warnnings on queue_size
  * Fixed syntax error due to missing parentheses
  * add error message when joint names did not match
  * added in a queue size as none to remove warning messages
  * Readback echo for simple one-wire (TTL) converters
  * Support for reading current, setting acceleration, torque control mode (mainly MX series). Available features specified for each model.
  * Always release lock on return
  * Do not modify a controllers list we are iterating over.
    It's probably a bad idea to modify a list we are looping over as is the case with meta controller dependencies. List copies everywhere!
  * Acquire lock before manipulating controllers.
    Make sure that no two threads can manipulate (start, stop or restart) controllers simultaneously.
  * Allow negative speed values.
    There was a copy paste error where we were checking to make sure the speed wasn't set to 0 (meaning maximum speed), even though speed has different meaning when in wheel mode (0 is for stop, negative values for counterclockwise rotation and positive - for clockwise rotation). The slave motor should rotate in the opposite direction (assumes motors are mounted back to back with horns facing in opposite directions).
  * fixed multi_packet[port] indentation
  * added test to fix process_motor_states bug
  * got action controller working with dual motor controller, still get an occasional key error with dual motor controller process_motor_states
  * patch so action controller works with dual motor controllers
  * Merge pull request #3 <https://github.com/arebgun/dynamixel_motor/issues/3> from arebgun/groovy
    Velocity bug fix
  * Fix bug for velocity raw to radsec conversion in all remaining controllers
  * Fix bug in velocity conversion
    The factor for the velocity conversion from raw to radsec and the other way
    round is model-specific and does not depend on the maximum motor speed.
    Therefore, a conversion factor is added to the motor data and employed
    for all velocity conversions. The set motor velocity and the motor velocity
    in the servo state does now correspond with the real servo speed in
    radians per second.
  * Contributors: Andreas Wachaja, Antons Rebguns, Kei Okada, Nicolas, Nicolas Alt, Richard-Lab, Russell Toris, Tyler Slabinski, Yam Geva, richard-virtualros

 -- Antons Rebguns <arebgun@gmail.com>  Thu, 19 Jan 2017 07:00:00 -0000

ros-kinetic-dynamixel-controllers (0.4.0-0xenial) xenial; urgency=high

  * stack is now catkin compatible

 -- Antons Rebguns <arebgun@gmail.com>  Fri, 26 Jul 2013 06:00:00 -0000

=== debian/control ===
Source: ros-kinetic-dynamixel-controllers
Section: misc
Priority: extra
Maintainer: Antons Rebguns <arebgun@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-message-generation
Homepage: http://ros.org/wiki/dynamixel_controllers
Standards-Version: 3.9.2

Package: ros-kinetic-dynamixel-controllers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-actionlib, ros-kinetic-control-msgs, ros-kinetic-diagnostic-msgs, ros-kinetic-dynamixel-driver, ros-kinetic-dynamixel-msgs, ros-kinetic-rospy, ros-kinetic-std-msgs, ros-kinetic-trajectory-msgs
Description: This package contains a configurable node, services and a spawner script to start, stop and restart one or more controller plugins.
 Reusable controller types are defined for common Dynamixel motor joints. Both speed and torque can be set for each joint. This python package can be used by more specific robot controllers and all configurable parameters can be loaded via a yaml file.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-dynamixel-controllers//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
